This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 242554 - cheese on screen after suspend/resume cycle with compiz on r300 card
cheese on screen after suspend/resume cycle with compiz on r300 card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 15:48 EDT by Klaasjan Brand
Modified: 2008-06-16 21:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Klaasjan Brand 2007-06-04 15:48:39 EDT
Description of problem:

After a succesful suspend/resume cycle the Xorg desktop is restored. Only, when
using compiz the window "drop shadow" borders are filled with random noise.

Version-Release number of selected component (if applicable):
0.3.6-8.fc7

How reproducible:
Very often, but not always.

Steps to Reproduce:
1. Enable compiz on r300 card
2. Enter suspend
3. Resume system and unlock the desktop session
  
Actual results:
Noise in window shadows and decorations.

Expected results:
The usual clean Fedora desktop ;)

Additional info:
When executing "gtk-window-decorator --replace" after resume the window manager
is reloaded and window decorations look fine again.

I suppose it could be a bug in the r300 driver (losing texture memory maybe?),
but maybe compiz should be fixed to know when it's texture buffers could be
corrupted and reload them if required.
Comment 1 Matěj Cepl 2007-09-27 12:33:19 EDT
Thanks for the bug report. We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Klaasjan Brand 2007-09-27 15:45:30 EDT
Since recent kernel updates have broken my laptop's ability to resume after
suspend (also noted in bugzilla) I can't provide the requested information right
away. I'll revisit this report when this problem is fixed...
Comment 3 Matěj Cepl 2007-10-01 12:22:09 EDT
Sorry, I missed that. Sure, please, let us know as soon as possible. If you
won't reply in a month, I will ping, and we will have to resolve what to do with
this bug. I hope, our kernel folks will be able to fix your problems sooner ;-).
Comment 4 Klaasjan Brand 2007-10-13 10:58:13 EDT
Just found out the 2.6.23 kernel update unbreaks suspend for my laptop.

The compiz issue regarding the static in drop shadow areas seems to be fixed.
However, it's replaced by annoying tearing when rotating the cube. Seems like a
vertical retrace synchronisation issue.
Is there a generic "compiz issues" bug somewhere?
Comment 5 Kristian Høgsberg 2007-10-15 09:33:12 EDT
We don't have an catch-all bug for compiz issues, we use one bug per issue.  No
bug is open about the tearing, which is indeed annoying, feel free to open one
(and close this one if the issue is fixed).
Comment 6 Klaasjan Brand 2007-10-17 03:07:24 EDT
I reacted a little bit too early :(. After suspending another few times I've got
the display errors back. Seems to be related to the amount of time I've worked
with this laptop and/or the amount of open windows.
Comment 7 Bug Zapper 2008-05-14 08:48:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:24:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.